WinUser.INPUT.INPUT_UNION (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinUser, class: INPUT, class: INPUT_UNION

Package com.sun.jna.platform.win32

# Class WinUser.INPUT.INPUT_UNION

java.lang.Object
com.sun.jna.Structure
com.sun.jna.Union
com.sun.jna.platform.win32.WinUser.INPUT.INPUT_UNION

Enclosing class:
  WinUser.INPUT

public static class WinUser.INPUT.INPUT_UNION extends Union

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `WinUser.HARDWAREINPUT`
  `hi`
  `WinUser.KEYBDINPUT`
  `ki`
  `WinUser.MOUSEINPUT`
  `mi`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `INPUT_UNION()`
  `INPUT_UNION(Pointer memory)`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Union

  `getFieldOrder, getNativeAlignment, getTypedValue, readField, readField, setType, setType, setTypedValue, writeField, writeField, writeField`

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### mi

    public WinUser.MOUSEINPUT mi

  - ### ki

    public WinUser.KEYBDINPUT ki

  - ### hi

    public WinUser.HARDWAREINPUT hi

- ## Constructor Details

  - ### INPUT_UNION

    public INPUT_UNION()

  - ### INPUT_UNION

    public INPUT_UNION(Pointer memory)